CVE-2018-1139 s3-utils: use enum ntlm_auth_level in ntlm_password_check().
authorGünther Deschner <gd@samba.org>
Wed, 14 Mar 2018 14:35:01 +0000 (15:35 +0100)
committerKarolin Seeger <kseeger@samba.org>
Sat, 11 Aug 2018 06:16:03 +0000 (08:16 +0200)
commitf0bd8cc723d8f119f90367f6d0258ff250a6075c
tree17df184d48e6ac8b0032fb3bb43561f926ce106f
parent5fb35b7f8e184879c3c8931e9af31befdc75aeac
CVE-2018-1139 s3-utils: use enum ntlm_auth_level in ntlm_password_check().

BUG: https://bugzilla.samba.org/show_bug.cgi?id=13360

CVE-2018-1139: Weak authentication protocol allowed.

Guenther

Signed-off-by: Guenther Deschner <gd@samba.org>
Reviewed-by: Andreas Schneider <asn@samba.org>
source3/utils/ntlm_auth.c